Page MenuHomePhabricator

Collect stats about the usage of Quantity values on Wikidata
Closed, ResolvedPublic

Description

For each property with data type quantity, produce:

  • number of values (at least main snak, maybe qualifier + reference)
  • number of values with +/-0 bounds (upper bound == lower bound)
  • number of values with no unit (unit is "1" or http://www.wikidata.org/entity/Q199)
  • bonus: number of values with no decimal point (i.e. whole numbers)

Details

Related Gerrit Patches:
analytics/wmde/toolkit-analyzer-build : productionNew build (with 2 changes)
analytics/wmde/toolkit-analyzer-build : masterNew build (with 2 changes)
analytics/wmde/toolkit-analyzer : masterCount per property for the 3 groups (ExactValueQuantityP..)
analytics/wmde/toolkit-analyzer-build : productionIn quantities units of "1" are converted to ""
analytics/wmde/toolkit-analyzer-build : masterIn quantities units of "1" are converted to ""
analytics/wmde/toolkit-analyzer : masterIn quantities units of "1" are converted to ""

Event Timeline

daniel created this task.Dec 7 2016, 5:08 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 7 2016, 5:08 PM
daniel triaged this task as High priority.Dec 7 2016, 5:08 PM

Change 326104 had a related patch set uploaded (by Addshore):
In quantities units of "1" are converted to ""

https://gerrit.wikimedia.org/r/326104

Change 326105 had a related patch set uploaded (by Addshore):
In quantities units of "1" are converted to ""

https://gerrit.wikimedia.org/r/326105

Change 326104 merged by Addshore:
In quantities units of "1" are converted to ""

https://gerrit.wikimedia.org/r/326104

Change 326105 merged by Addshore:
In quantities units of "1" are converted to ""

https://gerrit.wikimedia.org/r/326105

After fixing the bug you mentioned in the email the script is now running again.

The new data can be found at P4606

Addshore closed this task as Resolved.Dec 10 2016, 9:25 PM
Addshore moved this task from Sprint ready to Done on the WMDE-QWERTY-Team board.
daniel reopened this task as Open.Dec 12 2016, 2:45 PM

Re-opening, since the data doesn't have the counters per property.

Addshore moved this task from Done to Sprint ready on the WMDE-QWERTY-Team board.

Change 326481 had a related patch set uploaded (by Addshore):
Count per property for the 3 groups (ExactValueQuantityP..)

https://gerrit.wikimedia.org/r/326481

Change 326482 had a related patch set uploaded (by Addshore):
New build

https://gerrit.wikimedia.org/r/326482

Change 326486 had a related patch set uploaded (by Addshore):
In quantities units of "1" are converted to ""

https://gerrit.wikimedia.org/r/326486

Change 326486 merged by Addshore:
In quantities units of "1" are converted to ""

https://gerrit.wikimedia.org/r/326486

Change 326487 had a related patch set uploaded (by Addshore):
New build (with 2 changes)

https://gerrit.wikimedia.org/r/326487

Change 326481 merged by Addshore:
Count per property for the 3 groups (ExactValueQuantityP..)

https://gerrit.wikimedia.org/r/326481

Change 326482 merged by Addshore:
New build (with 2 changes)

https://gerrit.wikimedia.org/r/326482

Change 326487 merged by Addshore:
New build (with 2 changes)

https://gerrit.wikimedia.org/r/326487

Script running again for corrected output

Addshore added a comment.EditedDec 12 2016, 8:06 PM

New paste can be found at P4610
New data can be found with keys such as propertyCounters.noUnit.PXXX

Addshore closed this task as Resolved.Dec 12 2016, 8:07 PM
Addshore moved this task from Sprint ready to Done on the WMDE-QWERTY-Team board.
Addshore moved this task from Back Burner 🏛️ to Closing ✔️ on the User-Addshore board.
Addshore moved this task from Done to Demoed on the WMDE-QWERTY-Team board.Dec 13 2016, 1:10 PM
Esc3300 added a subscriber: Esc3300.EditedDec 13 2016, 1:58 PM

Nice. It posted the top 10 at Project_chat#Stats_on_quantities

daniel added a comment.EditedDec 13 2016, 7:47 PM

Anyone up to turning this into CSV?

@Esc330 oh wow, thank you!

I have combined the table formatted by @Esc3300 and the one that I have created on https://www.wikidata.org/wiki/User:Glorian_Yapinus_(WMDE)/quantity_change_properties (thanks @Addshore for generating the raw data and @Esc3300 for formatting the table!)

It is still not sortable though. I will work on it again later. In the meantime, you can find the raw CSV file on https://phabricator.wikimedia.org/P4649